Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.content
Class JspContentContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.content.JspContentContext

All Implemented Interfaces:
  Serializable

public class JspContentContext
extends ControlContext

Context to support simple JSP portlets with/without backing files.

All the setter methods in this class should only be called during `handlePostbackData` method of the backing file. The setter methods would cause the framework to act on the changes after completion of this method.

See Also:
  Serialized Form

Field Summary
`static String` | `CONTENT_CHANGE`
`static String` | `CONTROL_PARAM` Control unique id request parameter to identify which control this came from.
`static String` | `EVENT_PARAM` The request parameter to indicate the action to be performed by this control.

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `JspContentContext(com.bea.netuix.nf.UIControl control)` Constructs `JspContentContext.`

Method Summary
`PostbackURL` | `getBaseUrl(HttpServletRequest request, HttpServletResponse response, String event)` Returns a URL that can be used to submit requests.
`PostbackURL` | `getBaseUrl(HttpServletRequest request, HttpServletResponse response, String param, String event)` Returns a URL that can be used to submit requests.
`String` | `getContentUri()` Returns the current content URI, if set, or returns the content URI.
`static JspContentContext` | `getJspContentContext(HttpServletRequest request)`
`Locale` | `getResolvedLocale()` Sets the Locale used when resolving the current URI
`protected String` | `getSendRedirectPath()` Returns redirect path.
`void` | `sendRedirect(String path)` Redirects the client to the given path.
`void` | `setActivePage(String pageLabel)` Changes the active page.
`void` | `setContentUri(String contentUri)` Sets the content URI.
`void` | `setJspContentContextInRequest(HttpServletRequest request)` Sets this context in the request.
`void` | `setResolvedLocale(Locale locale)` Sets the Locale used when resolving the current URI
`void` | `setupModeChangeEvent(WindowMode modeValue)` Sets up a mode change event.
`void` | `setupStateChangeEvent(WindowState stateValue)` Sets up a state change event.

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_CHANGE

    public static final String CONTENT_CHANGE

See Also:
  Constant Field Values

### CONTROL_PARAM

    public static final String CONTROL_PARAM

  Control unique id request parameter to identify which control this came from.

  See Also:
    Constant Field Values

### EVENT_PARAM

    public static final String EVENT_PARAM

  The request parameter to indicate the action to be performed by this control.

  See Also:
    Constant Field Values

Constructor Detail

### JspContentContext

    protected JspContentContext(com.bea.netuix.nf.UIControl control)

  Constructs `JspContentContext`

  .

Parameters:
  `control` - control

Method Detail

### setContentUri

    public void setContentUri(String contentUri)

  Sets the content URI.

  Parameters:
    `contentUri` - content URI

### getContentUri

    public String getContentUri()

  Returns the current content URI, if set, or returns the content URI.

  Returns:
    content URI

### setResolvedLocale

    public void setResolvedLocale(Locale locale)

  Sets the Locale used when resolving the current URI

  Parameters:
    `locale` -

### getResolvedLocale

    public Locale getResolvedLocale()

  Sets the Locale used when resolving the current URI

### setJspContentContextInRequest

    public void setJspContentContextInRequest(HttpServletRequest request)

  Sets this context in the request.

  Parameters:
    `request` - HTTP request

### getJspContentContext

    public static JspContentContext getJspContentContext(HttpServletRequest request)

### setActivePage

    public final void setActivePage(String pageLabel)

  Changes the active page. Should be called only during postback.

  Parameters:
    `pageLabel` - page label

### setupModeChangeEvent

    public void setupModeChangeEvent(WindowMode modeValue)

  Sets up a mode change event. Should be called only during postback

  Parameters:
    `modeValue` - mode

### setupStateChangeEvent

    public void setupStateChangeEvent(WindowState stateValue)

  Sets up a state change event. Should be called only during postback

  Parameters:
    `stateValue` - state

### getBaseUrl

    public PostbackURL getBaseUrl(HttpServletRequest request,
                                  HttpServletResponse response,
                                  String event)

  Returns a URL that can be used to submit requests.

  Parameters:
    `request` - HTTP request
    `response` - HTTP response
    `event` - event
  Returns:
    URL

### getBaseUrl

    public PostbackURL getBaseUrl(HttpServletRequest request,
                                  HttpServletResponse response,
                                  String param,
                                  String event)

  Returns a URL that can be used to submit requests.

  Parameters:
    `request` - HTTP request
    `response` - HTTP response
    `param` - name of parameter
    `event` - event
  Returns:
    URL

### sendRedirect

    public void sendRedirect(String path)

  Redirects the client to the given path. The path set should follow the same rules that apply to the `sendRedirect` method in `javax.servlet.http.HttpServletResponse`. This method should only be called during postback. Note that the actual redirect happens after executing the `handlePostbackData` method on the backing file.

  Parameters:
    `path` - path

### getSendRedirectPath

    protected String getSendRedirectPath()

  Returns redirect path.

  Returns:
    redirect path

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved